[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'types' (#rtl)

# ISequentialStream.Read

Read data from the stream

## Declaration

Source position: types.pp line 271

`function ISequentialStream.Read(`
`pv: Pointer;`
`cb: DWORD;`
`pcbRead: PDWord`
`):HRESULT;`

## Description

Read reads cbCount bytes from the stream into the memory pointed to by pv and returns the number of bytes read in pcbread. The result is zero for success or an error code.

## See also

ISequentialStream.Write |  | Write data to the stream

Documentation generated on: Feb 26 2014